Up

# NSProgress class documentation

### Authors

Gregory Casamento (`greg.casamento@gmail.com`)

Date: Generated at 2025-02-13 06:02:40 +0000

Copyright: (C) 2019 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSProgress class
2. Software documentation for the NSProgressReporting protocol

# Software documentation for the NSProgress class

## NSProgress : NSObject

> Declared in:
>   Foundation/NSProgress.h

Availability: MacOS-X 10.9.0
Description forthcoming.
Method summary

- +addSubscriberForFileURL:withPublishingHandler:
- +currentProgress
- +discreteProgressWithTotalUnitCount:
- +progressWithTotalUnitCount:
- +progressWithTotalUnitCount:parent:pendingUnitCount:
- +removeSubscriber:
- -addChild:withPendingUnitCount:
- -becomeCurrentWithPendingUnitCount:
- -cancel
- -completedUnitCount
- -estimatedTimeRemaining
- -fileCompletedCount
- -fileOperationKind
- -fileTotalCount
- -fileUrl
- -fractionCompleted
- -initWithParent:userInfo:
- -isCancellable
- -isCancelled
- -isFinished
- -isIndeterminate
- -isOld
- -isPausable
- -isPaused
- -kind
- -localizedAdditionalDescription
- -localizedDescription
- -pause
- -performAsCurrentWithPendingUnitCount:usingBlock:
- -publish
- -resignCurrent
- -resume
- -setCancellationHandler:
- -setCompletedUnitCount:
- -setEstimatedTimeRemaining:
- -setFileCompletedCount:
- -setFileOperationKind:
- -setFileTotalCount:
- -setFileUrl:
- -setIndeterminate:
- -setKind:
- -setPausingHandler:
- -setResumingHandler:
- -setThroughput:
- -setTotalUnitCount:
- -setUserInfoObject:forKey:
- -throughtput
- -totalUnitCount
- -unpublish
- -userInfo

### addSubscriberForFileURL: withPublishingHandler:

+ (id) addSubscriberForFileURL: (NSURL*)url withPublishingHandler: (NSProgressPublishingHandler)publishingHandler;
Availability: MacOS-X 10.9.0
Description forthcoming.

### currentProgress

+ (NSProgress*) currentProgress;
Availability: MacOS-X 10.9.0
Description forthcoming.

### discreteProgressWithTotalUnitCount:

+ (NSProgress*) discreteProgressWithTotalUnitCount: (int64_t)unitCount;
Availability: MacOS-X 10.9.0
Description forthcoming.

### progressWithTotalUnitCount:

+ (NSProgress*) progressWithTotalUnitCount: (int64_t)unitCount;
Availability: MacOS-X 10.9.0
Description forthcoming.

### progressWithTotalUnitCount: parent: pendingUnitCount:

+ (NSProgress*) progressWithTotalUnitCount: (int64_t)unitCount parent: (NSProgress*)parent pendingUnitCount: (int64_t)portionOfParentTotalUnitCount;
Availability: MacOS-X 10.9.0
Description forthcoming.

### removeSubscriber:

+ (void) removeSubscriber: (id)subscriber;
Availability: MacOS-X 10.9.0
Description forthcoming.

### addChild: withPendingUnitCount:

- (void) addChild: (NSProgress*)child withPendingUnitCount: (int64_t)inUnitCount;
Availability: MacOS-X 10.9.0
Description forthcoming.

### becomeCurrentWithPendingUnitCount:

- (void) becomeCurrentWithPendingUnitCount: (int64_t)unitCount;
Availability: MacOS-X 10.9.0
Description forthcoming.

### cancel

- (void) cancel;
Availability: MacOS-X 10.9.0
Description forthcoming.

### completedUnitCount

- (int64_t) completedUnitCount;
Availability: MacOS-X 10.9.0
Description forthcoming.

### estimatedTimeRemaining

- (NSNumber*) estimatedTimeRemaining;
Availability: MacOS-X 10.9.0
Description forthcoming.

### fileCompletedCount

- (NSNumber*) fileCompletedCount;
Availability: MacOS-X 10.9.0
Description forthcoming.

### fileOperationKind

- (NSProgressFileOperationKind) fileOperationKind;
Availability: MacOS-X 10.9.0
Description forthcoming.

### fileTotalCount

- (NSNumber*) fileTotalCount;
Availability: MacOS-X 10.9.0
Description forthcoming.

### fileUrl

- (NSURL*) fileUrl;
Availability: MacOS-X 10.9.0
Description forthcoming.

### fractionCompleted

- (double) fractionCompleted;
Availability: MacOS-X 10.9.0
Description forthcoming.

### initWithParent: userInfo:

- (instancetype) initWithParent: (NSProgress*)parent userInfo: (NSDictionary*)userInfo;
Availability: MacOS-X 10.9.0
Description forthcoming.

### isCancellable

- (BOOL) isCancellable;
Availability: MacOS-X 10.9.0
Description forthcoming.

### isCancelled

- (BOOL) isCancelled;
Availability: MacOS-X 10.9.0
Description forthcoming.

### isFinished

- (BOOL) isFinished;
Availability: MacOS-X 10.9.0
Description forthcoming.

### isIndeterminate

- (BOOL) isIndeterminate;
Availability: MacOS-X 10.9.0
Description forthcoming.

### isOld

- (BOOL) isOld;
Availability: MacOS-X 10.9.0
Description forthcoming.

### isPausable

- (BOOL) isPausable;
Availability: MacOS-X 10.9.0
Description forthcoming.

### isPaused

- (BOOL) isPaused;
Availability: MacOS-X 10.9.0
Description forthcoming.

### kind

- (NSProgressKind) kind;
Availability: MacOS-X 10.9.0
Description forthcoming.

### localizedAdditionalDescription

- (NSString*) localizedAdditionalDescription;
Availability: MacOS-X 10.9.0
Description forthcoming.

### localizedDescription

- (NSString*) localizedDescription;
Availability: MacOS-X 10.9.0
Description forthcoming.

### pause

- (void) pause;
Availability: MacOS-X 10.9.0
Description forthcoming.

### performAsCurrentWithPendingUnitCount: usingBlock:

- (void) performAsCurrentWithPendingUnitCount: (int64_t)unitCount usingBlock: (GSProgressPendingUnitCountBlock)work;
Availability: MacOS-X 10.9.0
Description forthcoming.

### publish

- (void) publish;
Availability: MacOS-X 10.9.0
Description forthcoming.

### resignCurrent

- (void) resignCurrent;
Availability: MacOS-X 10.9.0
Description forthcoming.

### resume

- (void) resume;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setCancellationHandler:

- (void) setCancellationHandler: (GSProgressCancellationHandler)handler;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setCompletedUnitCount:

- (void) setCompletedUnitCount: (int64_t)unitCount;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setEstimatedTimeRemaining:

- (void) setEstimatedTimeRemaining: (NSNumber*)n;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setFileCompletedCount:

- (void) setFileCompletedCount: (NSNumber*)n;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setFileOperationKind:

- (void) setFileOperationKind: (NSProgressFileOperationKind)k;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setFileTotalCount:

- (void) setFileTotalCount: (NSNumber*)n;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setFileUrl:

- (void) setFileUrl: (NSURL*)u;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setIndeterminate:

- (void) setIndeterminate: (BOOL)flag;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setKind:

- (void) setKind: (NSProgressKind)k;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setPausingHandler:

- (void) setPausingHandler: (GSProgressPausingHandler)handler;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setResumingHandler:

- (void) setResumingHandler: (GSProgressResumingHandler)handler;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setThroughput:

- (void) setThroughput: (NSNumber*)n;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setTotalUnitCount:

- (void) setTotalUnitCount: (int64_t)unitCount;
Availability: MacOS-X 10.9.0
Description forthcoming.

### setUserInfoObject: forKey:

- (void) setUserInfoObject: (id)obj forKey: (NSProgressUserInfoKey)key;
Availability: MacOS-X 10.9.0
Description forthcoming.

### throughtput

- (NSNumber*) throughtput;
Availability: MacOS-X 10.9.0
Description forthcoming.

### totalUnitCount

- (int64_t) totalUnitCount;
Availability: MacOS-X 10.9.0
Description forthcoming.

### unpublish

- (void) unpublish;
Availability: MacOS-X 10.9.0
Description forthcoming.

### userInfo

- (NSDictionary*) userInfo;
Availability: MacOS-X 10.9.0
Description forthcoming.

# Software documentation for the NSProgressReporting protocol

## NSProgressReporting

> Declared in:
>   Foundation/NSProgress.h

Availability: MacOS-X 10.9.0
Description forthcoming.
Method summary

- -progress

### progress

- (NSProgress*) progress;
Availability: MacOS-X 10.9.0
Description forthcoming.

Up